#!/usr/bin/python
# -*- encoding: utf-8 -*-

import RPi.GPIO as GPIO
import time
import random


GPIO.setwarnings(False)
GPIO.setmode(GPIO.BCM)

pin_H = 17            # pin pro rizeni horizontalniho serva - GPIO17 (= hw pin 11)
pin_V = 18            # pin pro rizeni vertikalniho serva   - GPIO18 (= hw pin 12)

frekvence = 100       # frekvence PWM je 100Hz

GPIO.setup(pin_H, GPIO.OUT)            # horizontalni GPIO prepne na vystup
GPIO.setup(pin_V, GPIO.OUT)            # vertikalni GPIO prepne na vystup




while True:

  # v prikladu se pro nataceni serv generuji nahodna cisla v rozsahu 0.9ms az 2ms (cisla 9 az 20)
  horiz = random.randint(9, 20) # plny rozsah sirek impulzu je 5 az 25 (to odpovida 0,5ms az 2,5ms pri 100Hz)
  vert  = random.randint(9, 20) # plny rozsah sirek impulzu je 5 az 25 (to odpovida 0,5ms az 2,5ms pri 100Hz)

  signal1 = GPIO.PWM(pin_H , frekvence)  # nastaveni horiz. frekvence
  signal2 = GPIO.PWM(pin_V , frekvence)  # nastaveni vert. frekvence  
  
  signal1.start(horiz)                   # spusteni horizontalniho serva
  signal2.start(vert)                    # spusteni vertikalniho serva

  time.sleep(1)

  signal1.stop()                       # po 1 sekunde se oba signaly zastavi
  signal2.stop()                       


  # na zaver dojde k vystrelu davky laserem
  laser_pin = 7                          # GPIO7 (= hw pin 26)
  GPIO.setup(laser_pin, GPIO.OUT)        # GPIO pro ovladani laseru prepne na vystup
  signal3 = GPIO.PWM(laser_pin , 5)      # frekvence (kadence) vystrelu 5Hz 
  signal3.start(50)                      # palba (50% strida)
  time.sleep(2)
  signal3.stop()                         # po 2 sekundach se palba zastavi
  GPIO.output(laser_pin, False)          # pro jistotu se laser vypne
